package com.lyg.application.service.impl;

import com.lyg.application.entity.TaIncompatible;
import com.lyg.application.mapper.TaIncompatibleMapper;
import com.lyg.application.service.TaIncompatibleService;
import com.lyg.application.util.IncompatibleRule;
import com.lyg.system.service.impl.BaseServiceImpl;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 不相容;(ta_incompatible)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2024-3-6
 */
@Service
public class TaIncompatibleServiceImpl extends BaseServiceImpl<TaIncompatibleMapper, TaIncompatible> implements TaIncompatibleService {
    @Autowired
    private IncompatibleRule incompatibleRule;

//    @Override
//    public List<TaIncompatible> selectRule(String oldOrgName, String newOrgName) {
//        return baseMapper.selectRule(oldOrgName, newOrgName);
//    }


    @SneakyThrows
    @Override
    public List<TaIncompatible> getRegularRules(String oldOrgName, String newOrgName) {
        return baseMapper.getRegularRules(oldOrgName, newOrgName);

    }

    @Override
    public void getMonthRules(Map<String, String> params) {
        String primaryPost=params.get("primaryPost");
        String targetPost=params.get("targetPost");
        List<String> oldPostList = baseMapper.getMonthRulesPrimary(primaryPost);//原来岗位+不容岗位
        List<String> newPostList = baseMapper.getMonthRulesTarget(targetPost);//目标岗位+不容岗位


    }
}